# Bootstrap-vue Sidebar
> Bootstrap Sidebar Component for Vue 2.x.

## Install

``` bash
    npm install bvue-sidebar
```

## Demo

Coming Soon

## Usage

*1\. Import the component*

```
import BootstrapSideBar from 'bootstrap-vue-sidebar';
```

*2\.1 Use it globally*

```
Vue.use(BootstrapSideBar);
```

*2\.2 Or use it locally*

```
components: {
    'side-bar': BootstrapSideBar
},
```

*3\. Update your app or template:*
```
<div>
...
<side-bar :links="Array" :navs="Array"></side-bar>
...
</div>
```

## Properties

`links`: `{type: Array}` - Array of links to display in sidebar. Each array item is an Object that has the following properties: `label`, `href` and `links` (for nested links),

`navs`: `{type: Array}`: Similar to links but these are shown in the nav header in right pane.

## Slots

Coming Soon

## Example

You can refer App.vue file after installing this plugin into node_modules/bootstrap-vue-sidebar/src/App.vue

## IMPORTANT

Coming Soon

## Suggestions

Coming soon

## Contributing
Contributions and PRs are welcome. 

## Ideas implemented so far..

Coming Soon

## Build Setup

``` bash
# install dependencies
npm install

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build
```